import {MyZipCodeField} from './public/elements/MyZipCodeField';
import {MyShowAlertActionItem} from './public/actions/MyShowAlertActionItem';

// エレメントのリポジトリは以下のように取得します。
const elementRepository = window.imHichee.UIElementRepository;

// エレメントのカテゴリを登録します。
// 新たにカテゴリを追加したい場合には IUIElementRepository.registerCategory() を使用して、カテゴリを追加してください。
// id にはカテゴリの ID 、sortNumber にはカテゴリを表示させる際の優先順位を指定してください。
// カテゴリは sortNumber を基準に昇順で表示されます。
elementRepository.registerCategory('programming-sample', {sortNumber: 120});

// 作成したエレメントをカテゴリに登録します。
// categoryId には登録先のカテゴリ名、sortNumber はカテゴリ内でエレメントを表示させる際の優先順位を指定できます。
// sortNumber を基準に昇順で表示されます。
elementRepository.registerClass(MyZipCodeField, {
  categoryId: 'programming-sample',
  sortNumber: 0,
});

// アクションアイテムを格納するリポジトリです
const actionItemRepository = window.imHichee.UIContainerActionItemRepository;

// アクションアイテムのカテゴリを登録します。
// id にはカテゴリの ID 、sortNumber にはカテゴリを表示させる際の優先順位を指定してください。
// カテゴリは sortNumber を基準に昇順で表示されます。
actionItemRepository.registerCategory('programming-sample', {sortNumber: 120});

// IUIContainerActionItemCore を実装したクラスを登録します
actionItemRepository.registerClass(MyShowAlertActionItem, {
  categoryId: 'programming-sample',
  sortNumber: 0,
});

// メッセージプロパティを JSON 化したものが以下に置換され、メッセージとして登録されます。
// そのため、この記述は削除しないでください。
window.imHichee.MessageBuilder.register('6549e165-925d-4de2-8c52-ec3cda282ed2');
